%define momorel 59

Summary: The Vixie cron daemon for executing specified programs at set times.
Name: vixie-cron
Version: 3.0.1
Release: %{momorel}m
License: see "README"
Group: System Environment/Base
Source0: ftp://ftp.vix.com/pub/vixie/vixie-cron-3.0.1.tar.gz
Source1: vixie-cron.init
Source2: cron.log
Patch0: vixie-cron-3.0.1-redhat.patch
Patch1: vixie-cron-3.0.1-security.patch
Patch2: vixie-cron-3.0.1-security2.patch
Patch3: vixie-cron-3.0.1-badsig.patch
Patch4: vixie-cron-3.0.1-crontab.patch
Patch5: vixie-cron-3.0.1-sigchld.patch
Patch6: vixie-cron-3.0.1-sprintf.patch
Patch7: vixie-cron-3.0.1-sigchld2.patch
Patch8: vixie-cron-3.0.1-crond.patch
Patch9: vixie-cron-3.0.1-dst.patch
Patch10: vixie-cron-3.0.1-0days.patch
Patch11: vixie-cron-3.0.1-nodot.patch
Patch12: vixie-cron-3.0.1-syslog.patch
Patch13: vixie-cron-3.0.1-crontabloc.patch
Patch14: vixie-cron-3.0.1-name.patch
Patch15: vixie-cron-3.0.1-time.patch
Patch16: vixie-cron-3.0.1-newtime.patch
Patch17: vixie-cron-3.0.1-buffer.patch
Patch18: vixie-cron-toriaezu.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig, initscripts, fileutils

%description
The vixie-cron package contains the Vixie version of cron.  Cron is a
standard UNIX daemon that runs specified programs at scheduled times.
Vixie cron adds better security and more powerful configuration
options to the standard version of cron.

%prep
%setup -q
%patch0 -p1 -b .norh
%patch1 -p1 -b .nomisc
%patch2 -p1 -b .security2
%patch3 -p1 -b .badsig
%patch4 -p1 -b .crontabhole
%patch5 -p1 -b .sigchld
%patch6 -p1 -b .sprintf
%patch7 -p1 -b .sigchld
%patch8 -p1 -b .crond
%patch9 -p1 -b .dst
%patch10 -p1 -b .0days
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1 -b .toriaezu

%build
make RPM_OPT_FLAGS="%{optflags}" DESTMAN=%{_mandir}

sed -e 's/-o root / /g' \
    -e 's/chown root\.root/touch/g' Makefile > Makefile.$$
mv Makefile.$$ Makefile

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{bin,sbin}
mkdir -p %{buildroot}%{_mandir}/man{1,5,8}
mkdir -p %{buildroot}%{_initscriptdir}
make install DESTDIR=%{buildroot} DESTMAN=%{buildroot}%{_mandir}
mkdir -p %{buildroot}/var/spool/cron
chmod 700 %{buildroot}/var/spool/cron
mkdir -p %{buildroot}/etc/cron.d
chmod 755 %{buildroot}/etc/cron.d

install -m755 $RPM_SOURCE_DIR/vixie-cron.init %{buildroot}%{_initscriptdir}/crond

mkdir -p %{buildroot}/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/cron.log %{buildroot}/etc/logrotate.d/cron

%clean
rm -rf %{buildroot}

%post
for i in 0 1 2 3 4 5 6
do
  [ -d %{_initscriptdir}/../rc${i}.d ] || mkdir %{_initscriptdir}/../rc${i}.d
done
/sbin/chkconfig --add crond

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del crond
    /sbin/service crond stop >/dev/null 2>&1
fi

%postun
if [ $1 = 0 ]; then 
    rm -fr /var/log/cron.*
fi

%triggerpostun -- vixie-cron < 3.0.1-48k
/sbin/chkconfig --del crond
/sbin/chkconfig --add crond

%files

%defattr(-,root,root)
/usr/sbin/crond
/usr/bin/crontab
%{_mandir}/man8/crond.*
%{_mandir}/man8/cron.*
%{_mandir}/man5/crontab.*
%{_mandir}/man1/crontab.*

%dir /var/spool/cron
%dir /etc/cron.d

%config %{_initscriptdir}/crond
%config /etc/logrotate.d/cron

%changelog
* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.1-59m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.0.1-58k)
- Prereq: /sbin/chkconfig -> chkconfig
- Prereq: /sbin/service   -> initscripts

* Wed Feb 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.1-56k)
- removed Source0 statement.

* Sat Oct 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0.1-54k)
- modify %post section robust

* Wed Jun 20 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.0.1-52k)
- fixed path /usr/bin/vi to /bin/vi (vixie-cron-toriaezu.patch)

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0.1-50k)
- import 3.0.1-62 from RHL for security fix

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (3.0.1-40).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 17 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Wed Aug 25 1999 Bill Nottingham <notting@redhat.com>
- fix buffer overflow

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jul 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- dayofmonth and month can't be 0

* Thu Jun  3 1999 Jeff Johnson <jbj@redhat.com>
- in cron.log use "kill -HUP pid" not killall to preserve errors (#2241).

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- add note to man page about DST conversion causing strangeness
- documented cron.d patch

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved cron.d patch

* Mon Apr 12 1999 Erik Troan <ewt@redhat.com>
- added cron.d patch

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- clean up log files on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 28)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- reset SIGCHLD before grandchild execle (problem #732)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to get rid of the dangerous sprintf() calls
- added BuildRoot and Prereq: /sbin/chkconfig

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed cron/crond dichotomy in init file.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- fixed bad init symlinks

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- force it to use SIGCHLD instead of defunct SIGCLD

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- added status, restart options to init script

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Switch conditional from "axp" to "alpha" 

